<?php
	$pathinfo = pathinfo($_SERVER['PHP_SELF']);
	$extension = $pathinfo['extension'];
	ini_set('include_path', "../.." . PATH_SEPARATOR . get_include_path());
	include("pre.php");
	$articulo = dame_valor_variable_global("articulo", 0);
	if ($articulo > 0){
		if ($conexionBD){
			$lista_escaparates = "";
			//Primero vamos a cargar la lista de escaparates donde está insertado a mano
			$sentencia_sql = "SELECT cescaparateweb FROM lescaparate WHERE articulo = $articulo";
			$cadena .= extrae_escaparates_arti($sentencia_sql);
			//Vamos ahora a cargar los escaparates por tema
			$sentencia_sql = "SELECT temasesca.escaparate cescaparateweb FROM temasarti, temasesca 
								WHERE temasarti.articulo = $articulo AND temasarti.tema = temasesca.tema";
			$cadena .= extrae_escaparates_arti($sentencia_sql);
			//Por último vamos con las familias
			$sentencia_sql = "SELECT familiasesca.escaparate cescaparateweb FROM familiasesca, articulo
							WHERE articulo.codigo = $articulo AND articulo.familia = familiasesca.tema";
			$cadena .= extrae_escaparates_arti($sentencia_sql);
			if ($cadena != ""){
				echo("CORRECTO$cadena");
			}else{
				echo("ERROR");
			}
		}	
	}else{
		echo("PAR&Aacute;METROS INCORRECTOS");
	}
	
	function extrae_escaparates_arti($sentencia_sql){
		$cadena = "";
		global $conexionBD;
		if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
			while( $fila = mysqli_fetch_array($resultado) ){
				$cadena .= " " . $fila['cescaparateweb'];
			}
		}
		return($cadena);
	}
?>